
class FileVO:
    def __init__(self, fullpath=None, filename=None, processor=None,
                 processorid=None, filetype=None, filetypeid=None, fileid=None):
        self.fullpath = fullpath
        self.filename = filename
        self.processor = processor
        self.processorid = processorid
        self.filetype = filetype
        self.filetypeid = filetypeid
        self.fileid = fileid

    def __repr__(self):
        return "FileVO: <%s - %s - %s - %s - %s - %s - %s>" % (self.fullpath,
                                                               self.filename,
                                                               self.processor,
                                                               self.processorid,
                                                               self.filetype,
                                                               self.filetypeid,
                                                               self.fileid)

    def setFullPath(self, fullpath):
        self.fullpath = fullpath

    def setFilename(self, filename):
        self.filename = filename

    def setProcessor(self, processor):
        self.processor = processor

    def setProcessorId(self, processorid):
        self.processorid = processorid  

    def setFileType(self, filetype):
        self.filetype = filetype

    def setFileTypeId(self, filetypeid):
        self.filetypeid = filetypeid

    def setFileId(self, fileid):
        self.fileid = fileid

    def getFullPath(self):
        return self.fullpath

    def getFilename(self):
        return self.filename

    def getProcessor(self):
        return self.processor

    def getProcessorId(self):
        return self.processorid

    def getFileType(self):
        return self.filetype

    def getFileTypeId(self):
        return self.filetypeid

    def getFileId(self):
        return self.fileid
